<#assign el=args.htmlid?js_string/>
<div>
    <span id="linkbutton2" class="yui-button yui-link-button">
        <span class="first-child">
            <script type="text/javascript">
                //<![CDATA[
                if ((window.opener && window.opener.location.href.indexOf("/data-lists") > 0 && (document.referrer && document.referrer.indexOf("/data-lists") > 0))||
                   (window.opener && window.opener.location.href.indexOf("/lyse-task-edit") > 0 && (document.referrer && document.referrer.indexOf("/lyse-task-edit") > 0))) {
                    <#--
                      -- Only display the "Close" button when this was a window opened from the data list view AND we came from that alsoyea. If we
                      -- don't check the referrer it would also display "Close" if a new window is opened, and the document details are shown by
                      -- clicking an attachment there, but there we should have the "Back" button to go back to the task view.
                      -->
                    document.write("<a title='${msg("close.title")?js_string}' href='javascript:Lyse.util.closeWindow()'>${msg("close.text")?html}</a>");
                }
                else if (window.history.length > 1) {
                    document.write("<a title='${msg("back.title")?js_string}' href='javascript:window.history.back()'>${msg("back.text")?html}</a>");
                }
                // ]]>
            </script>
        </span>
    </span>
      <span id="linkbutton3" class="yui-button yui-link-button">
		<span class="first-child">
			<a title="${msg("datalist.title")?html}" id="backtodatalist" href="#">${msg("datalist.text")?html}</a>
            <script type="text/javascript">
                //<![CDATA[
				  var nodeRefString = Alfresco.util.getQueryStringParameter("nodeRef", document.location.href);
				  var nodeRef = Alfresco.util.NodeRef(nodeRefString);
	              Alfresco.util.Ajax.request(
	              {
	                 url: Alfresco.constants.PROXY_URI + "api/lyse/" + nodeRef.uri + "/datalist-item",
	                 successCallback:
	                 {
	                    fn: function(response)
	                    {
		      				var buttonToDatalistItem = document.getElementById('backtodatalist');
		      				var url = null;

		      				if(response.json.attachmentAssoc && response.json.datalistNodeRef && response.json.hasNecRelatedParent){
		      					url = Alfresco.constants.URL_PAGECONTEXT + "site/" + response.json.shortName + "/lyse-datalist-details?nodeRef=" + response.json.attachmentAssoc + "&docLib=" + response.json.datalistNodeRef;
                            }else if(response.json.attachmentAssoc && response.json.datalistNodeRef) {
                                url = Alfresco.constants.URL_PAGECONTEXT + "site/" + response.json.shortName + "/lyse-datalist-details?nodeRef=" + response.json.attachmentAssoc;
                            }else if(response.json.workflowId){
								url = Alfresco.constants.URL_PAGECONTEXT + "site/" + response.json.shortName + "/lyse-datalist-details?workflowId=" + response.json.workflowId;
							}else{
		      					// Wrong or corrupt data, lets just delete button.
								buttonToDatalistItem.parentNode.removeChild(buttonToDatalistItem);
		      				}

		      				if (url !== null) {
                                // Reason we open in new window is because otherwise we cannot close it trough scripts.
                                buttonToDatalistItem.addEventListener('click', function () {
                                    window.open(url, '_blank');
                                    return false;
                                });
                            }
	                    },
	                    scope: this
	                 },
	                failureCallback:
	                {
	                    fn: function(response)
	                    {
	                    	// Fail to fetch data, delete button to avoid confusion.
	                    	var buttonToDatalistItem = document.getElementById('backtodatalist');
							buttonToDatalistItem.parentNode.removeChild(buttonToDatalistItem);
	                    },
	                    scope: this
	                }
	              });

                // ]]>
            </script>
        </span>
    </span>
</div>
<div>
    <span>
        &nbsp;
    </span>
</div>
