<import resource="classpath:/alfresco/site-webscripts/org/alfresco/share/imports/share-header.lib.js">
//@overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/share/header/share-header.get.js

var siteConfigMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
if (siteData == null) {
	var siteData = getSiteData();
}

// Remove the "Customise user dashboard" icon from the toolbar
if (page.titleId == "page.userDashboard.title" && !user.isAdmin) {
  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_USER_DASHBOARD");
}

widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_LEAVE_SITE");
if (!user.isAdmin) {
	widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_SITE");
	widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_SITE_DASHBOARD");
}

// Add a "User manual" and "Update information" links to the popup menu
var userMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_MENU");
if (userMenu != null)
{
  // Find and add User manual
  var helpItem = null;
  var helpJson = remote.call("/lyse/documentation/User%20manual");
  if (helpJson.status == 200) {
    try {
      helpItem = JSON.parse(helpJson);
    } catch (err) {
      // Could not parse!
      logger.warn(err);
    }
  }
  if (helpItem != null && helpItem.nodeRef) {
    var lyseHelp = {
      id: "HEADER_USER_MENU_LYSE_HELP",
      name: "alfresco/header/AlfMenuItem",
      config: {
        id: "HEADER_USER_MENU_LYSE_HELP",
        label: "User Manual",
        iconClass: "alf-user-help-icon",
        targetUrl: "document-details?nodeRef=" + helpItem.nodeRef,
        targetUrlLocation: "NEW"
      }
    };
    // Place the menu item above the last item (Logout)
    userMenu.config.widgets.splice(-1, 0, lyseHelp);
  }
  
  // Find and add Update information
  var updateItem = null;
  var updateJson = remote.call("/lyse/documentation/Update%20information");
  if (updateJson.status == 200) {
    try {
      updateItem = JSON.parse(updateJson);
    } catch (err) {
      // Could not parse!
      logger.warn(err);
    }
  }
  if (updateItem != null && updateItem.nodeRef) {
    var lyseUpdate = {
      id: "HEADER_USER_MENU_LYSE_UPDATE",
      name: "alfresco/header/AlfMenuItem",
      config: {
        id: "HEADER_USER_MENU_LYSE_UPDATE",
        label: "Update information",
        iconClass: "alf-user-help-icon",
        targetUrl: "document-details?nodeRef=" + updateItem.nodeRef,
        targetUrlLocation: "NEW"
      }
    };
    // Place the menu item above the last item (Logout)
    userMenu.config.widgets.splice(-1, 0, lyseUpdate);
  }
}

  // Remove My Files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_MY_FILES"); 
  }
  // Remove Tasks
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_TASKS");
  }
  
  // Remove shared files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SHARED_FILES");
  }
  
  // Remove people
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_PEOPLE");
  }
  
  // Rename Home to My Home
  var homeMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_HOME");
  if (homeMenu != null)
  {
	  homeMenu.config.label = "header.menu.my-home.label";
  }

  if(siteData != null && !siteData.userIsSiteManager)
  {
	  // Remove the configuration wheel
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
  }
  
  if(siteData != null && siteData.userIsSiteManager)
  {
	  // Add link to manage project groups for the site-manager
	  var manageSiteCategoriesWidget = [{
	    id: "HEADER_MANAGE_SITE_CATEGORIES",
	    name: "alfresco/menus/AlfMenuItem",
	    config: {
	       id: "HEADER_MANAGE_SITE_CATEGORIES",
	       label: "manage_sitecategories.label",
	       iconClass: "alf-edit-icon",
	       targetUrl: "site/" + page.url.templateArgs.site + "/manage-site-categories"
	    }
	  }];
	  
	  var manageSiteDatalists = [{
	    id: "HEADER_MANAGE_SITE_DATALISTS",
	    name: "alfresco/menus/AlfMenuItem",
	    config: {
	       id: "HEADER_MANAGE_SITE_DATALISTS",
	       label: "manage_sitedatalists.label",
	       iconClass: "alf-edit-icon",
	       targetUrl: "site/" + page.url.templateArgs.site + "/manage-site-datalists"
	    }
	  }];
	  
	  
	  siteConfigMenu.config.widgets=manageSiteCategoriesWidget.concat(siteConfigMenu.config.widgets);
	  siteConfigMenu.config.widgets=manageSiteDatalists.concat(siteConfigMenu.config.widgets);
  }
  
/**
 * Add a create project widget in the sites menu
 */
var sitesMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITES_MENU");

if (sitesMenu != null)
{
	if(null == model.siteData) {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseSitesMenu";	
	}
	// Change the widget to our custom menu...
	else if(model.siteData.profile.sitePreset == "lyse-project") {
		// Change the widget to our custom menu...
		sitesMenu.name = "lyse/LyseProjectSitesMenu";

		// Also delete the site invite option for project sites
		widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SITE_INVITE");

	} else if (model.siteData.profile.sitePreset != "lyse-project") {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseContractorSitesMenu";
	}
}



/**
 * Bootstrap the project service
 */
model.jsonModel.services.push("lyse/ProjectService");

/**
 Hide the create site button for non admins
 https://forums.alfresco.com/forum/end-user-discussions/alfresco-share/make-options-header-admin-only-alfresco-42d-09022013-1746
 https://issues.alfresco.com/jira/browse/ALF-19911
**/
//var sitesMenu = widgetUtils.findObject(model.jsonModel.widgets, "id", "HEADER_SITES_MENU");
if (sitesMenu != null)
{
   sitesMenu.config.showCreateSite = user.isAdmin; //Disable only if admin
}


/**
 *	Override user status dialog...
 */
var homeStatus = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_STATUS");
if (homeStatus != null)
{
	  homeStatus.name = "lyse/LyseCurrentUserStatus";
	  homeStatus.config.userStatus = "Availability";
}

if(siteConfigMenu != null && (model.siteData.profile.sitePreset == "lyse-project" || model.siteData.profile.sitePreset == "contractor-project")) // TODO more Lyse site types??
{
  var publishTopic = (model.siteData.profile.sitePreset == "lyse-project") ? "LYSE_EDIT_PROJECT" : "LYSE_EDIT_CONTRACTOR";
  
  // Label should be "Edit Site Details" according to #43565
  //var label = (model.siteData.profile.sitePreset == "lyse-project") ? "edit_project_details.label" : "edit_contractor_details.label";
  var label = "edit_site_details.label";
	
  // Replace edit site with lyse edit project
  var editProjectWidget = {
    id : "HEADER_EDIT_SITE_DETAILS",
    name : "alfresco/menus/AlfMenuItem",
    config : {
      id : "HEADER_EDIT_SITE_DETAILS",
      label : label,
      iconClass : "alf-edit-icon",
      publishTopic : publishTopic,
      publishPayload : {
        site : page.url.templateArgs.site,
        siteTitle : model.siteData.profile.title,
        user : user.name,
        userFullName : user.fullName
      }
    }
  };
  // Find edit site entry and replace it. (widgetUtils.findObject doesn't seem
  // to work as object to replace.)
  for (var i = 0; i < siteConfigMenu.config.widgets.length; i++) {
    if (siteConfigMenu.config.widgets[i].id == "HEADER_EDIT_SITE_DETAILS") {
      siteConfigMenu.config.widgets[i] = editProjectWidget;
    }
  }

  // Get project id
  var projectInformation = null;
  var jsonProject = remote.call("/lyse/project/information?shortname=" + page.url.templateArgs.site);
  if (jsonProject.status == 200) {
    // Create javascript object from the repo response
    var obj = null;
    try {
      obj = JSON.parse(jsonProject);
    } catch (err) {
      // Could not parse!
    }
    projectInformation = obj;
  }

  var verticalLayoutSiteWidget = widgetUtils.findObject(model.jsonModel, "id", "SHARE_VERTICAL_LAYOUT");
  var headerTitleBar = widgetUtils.findObject(verticalLayoutSiteWidget.config.widgets, "id", "HEADER_TITLE_BAR");
  var headerTitle = widgetUtils.findObject(headerTitleBar.config.widgets, "id", "HEADER_TITLE");
  if (typeof projectInformation != undefined && projectInformation != null && projectInformation.projectNumber.length) {
    headerTitle.config.label = headerTitle.config.label + " - " + projectInformation.projectNumber;
  }
}
