<@markup id="css" >
<#-- CSS Dependencies -->

</@>

<@markup id="js">
<#-- JavaScript Dependencies -->
    <@script src="${url.context}/res/components/workflow/lyse-workflow-history.js" />
    <@script type="text/javascript" src="${url.context}/res/components/data-lists/datalist-details-actions.js" />
</@>

<@markup id="widgets">
    <@createWidgets/>
</@>



<@markup id="html">
    <#assign id=args.htmlid?html>

<style>
	
	.dropdown-hidden{
		display: none !important;
	}

    .dropdown {
        position: relative;
        display: inline-block;
    }

    #dropdown-button
    {
        background-color: #f9f9f9;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        box-shadow: 8px 8px 16px 0px rgba(0,0,0,0.2);
        padding: 0px 0px;
        z-index: 1;
    }

    .dropdown:hover .dropdown-content {
        display: block;
    }

    .dropdown-content button {
        width:160px;

    }
    .share-form{
        border-bottom:1px dashed #c2c2c2;
        <#if hide>display:none;</#if>

    }
</style>
<div class="share-form">
    <div class="form-manager buttons">
        <div class="buttons-container">
            <div class="dropdown">
                <button class="yui-button yui-push-button dropdown-menu" id="task">${msg("actions.task")}</button>
                <div class="dropdown-content">
                    <ul id="task-buttons">
            			<li>
                            <button class="yui-button yui-push-button"  id="${id}-submit-for-review">${msg("actions.submit-for-review")}</button>
                        </li>
                        <li>
                            <button class="yui-button yui-push-button" id="${id}-start-workflow">${msg("actions.start-workflow")}</button>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="dropdown">
                <button class="yui-button yui-push-button" id="share-dropdown">${msg("actions.share")}</button>
                <div class="dropdown-content">
                    <ul id="share-dropdown-buttons">
                    	<li>
			            	<button class="yui-button yui-push-button" id="${id}-share-for-comment">${msg("actions.start-share-workflow.dropdown.for-commenting")}</button>
                        </li>
                        <li>
			            	<button class="yui-button yui-push-button" id="${id}-share-for-information">${msg("actions.start-share-workflow.dropdown.for-information")}</button>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="dropdown">
                <button class="yui-button yui-push-button dropdown-menu" id="task-dropdown">${msg("actions.more")}</button>
                <div class="dropdown-content">
                    <ul id="task-dropdown-buttons">
                        <li>
                            <button class="yui-button yui-push-button"  id="${id}-share-history-list">${msg("actions.show-share-history")}</button>
                        </li>
                        <li>
                            <button class="yui-button yui-push-button"  id="${id}-workflow-history-list">${msg("actions.show-workflow-history")}</button>
                        </li>
                        <li>
                            <button class="yui-button yui-push-button"  id="${id}-upload-revision">${msg("actions.upload-new-revision")}</button>
                        </li>
                    </ul>
                </div>
            </div>
            <button class="yui-button yui-push-button" id="${id}-edit">${msg("actions.edit")}</button>
            <button class="yui-button yui-push-button" id="close-button" onclick="window.close()">${msg("button.close.window")}</button>
        </div>
    </div>
    <h1 id="data-list-item-header">${msg("header.task.information")}</h1>
</div>

</@>
