/**
 * Created by magnus on 2016-11-10.
 */
(function()
{
  var Dom = YAHOO.util.Dom;

  YAHOO.util.Event.onDOMReady(function()
  {
    var toolbar = Alfresco.util.ComponentManager.findFirst("Alfresco.DocListToolbar");
    if(!toolbar){console.debug("Did not override _copyMoveTo. No doclib?"); return;}
    toolbar._copyMoveTo =
      function dlA__copyMoveTo(mode, record) {
        // Check mode is an allowed one
        if (!mode in
          {
            copy: true,
            move: true
          }) {
          throw new Error("'" + mode + "' is not a valid Copy/Move to mode.");
        }

        if (!this.modules.copyMoveTo) {
          this.modules.copyMoveTo = new Alfresco.module.DoclibCopyMoveTo(this.id + "-copyMoveTo");
        }

        var zIndex = 0;
        if (this.fullscreen !== undefined && ( this.fullscreen.isWindowOnly || Dom.hasClass(this.id, 'alf-fullscreen'))) {
          zIndex = 1000;
        }

        var parentElement = undefined;
        if (Dom.hasClass(this.id, 'alf-true-fullscreen')) {
          parentElement = Dom.get(this.id);
        }
        var repoPath = record[0] ? record[0].location.repoPath : record.location.repoPath;
        this.modules.copyMoveTo.setOptions(
          {
            allowedViewModes: [Alfresco.module.DoclibGlobalFolder.VIEW_MODE_REPOSITORY],
            mode: mode,
            siteId: null,
            containerId: this.options.containerId,
            path: this.options.repositoryBrowsing ? repoPath : this.currentPath,
            files: record,
            /* Fix for MNT-12432. Do not overwrite this.modules.copyMoveTo.options.rootNode option if repoBrowsing is enabled. Could cause Repository tab view inconsistency */
            rootNode:this.modules.docList.options.rootNode,
            parentId: this.getParentNodeRef(record),
            zIndex: zIndex,
            parentElement: parentElement ? parentElement : undefined
          }).showDialog();
      }
  });
})();